Subject: Re: bug#7785: rgrep is broken on woe32

From: Sam Steingold <[email-masked]>
Date: Wed, 5 Jan 2011 17:45:42 -0500

On Wed, Jan 5, 2011 at 4:19 PM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Wed, 5 Jan 2011 15:28:48 -0500
>> From: Sam Steingold <[email-masked]>
>> Cc: Óscar Fuentes <[email-masked]>, [email-masked]
>>
>> 'c:' is not recognized as an internal or external command,
>> operable program or batch file.
>
> This message comes from cmd.exe, the native Windows shell.  Since you
> probably have a setup where the Cygwin Bash should have been called, I
> suspect some snafu with setting up Emacs for Cygwin.  Can you try the
> same with native Windows ports of find, xargs, and grep, and in
> "emacs -Q"?

this works just fine, like on linux:
PATH=/cygdrive/c/gnu/gnuwin32/bin:$PATH emacs -q

moreover,
emacs -q
and moving gnuwin dir to the beginning of exec-path with
(let ((gw "c:/gnu/gnuwin32/bin"))
  (setq exec-path (cons gw (delete gw exec-path))))
also works fine.

however, without "-q" I get various errors, mostly
"FIND: Parameter format not correct"
despite exec-paths starting with gnuwin32.
this is obviously my problem now; however, I would appreciate it if
you could help me out.

> Also, what does this mean:
>
> -*- mode: grep; default-directory: "d:/.../" -*-
>                                    ^^^^^^^
> Could it be that this is the culprit?

no, I am merely removing the long directory name from the pasted buffer content.

-- 
Sam Steingold <http://sds.podval.org>